Subject: [Sigtran] Transfer of N-STATE_request in SUA

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 5 Jan 2006 07:59:27 -0800 (PST)

Hello SIGTRAN community,
   
  In standard SCCP there is a primitive called N-STATE_request which transfers management information (in-service/out-of-service) from SCCP-user to SCCP.
   
  How is this information conveyed between SGP and ASP?
  Is ASP allowed to send DUNA message to SGP by containing SSN (thus having DUNA corresponding to N-STATE primitive)?
   
  regards/ Stanislav Ivanovich

---------------------------------
 Yahoo! DSL Something to write home about. Just $16.99/mo. or less

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 5 Jan 2006 09:22:00 -0700

Stanislav,

Read sections 4.5.1 and all of 3.4 of RFC 3868.  Grep on N-STATE.

--brian

Stanislav Ivanovich wrote:                     (Thu, 05 Jan 2006 07:59:27)
> 
>    Hello SIGTRAN community,
> 
> 
> 
>    In  standard  SCCP  there  is a primitive called N-STATE_request which
>    transfers   management  information  (in-service/out-of-service)  from
>    SCCP-user to SCCP.
> 
> 
> 
>    Is  ASP  allowed  to  send DUNA message to SGP by containing SSN (thus
>    having DUNA corresponding to N-STATE primitive)?
> 
> 
> 
>      _________________________________________________________________
> 
>    [1]Yahoo! DSL Something to write home about. Just $16.99/mo. or less
> 
> References
> 
>    1. http://pa.yahoo.com/*http://us.rd.yahoo.com/evt=37474/*http://promo.yahoo.com/broadband/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 5 Jan 2006 08:45:35 -0800 (PST)

Brian,
   
  You didn't understand my question. You refer to section 4.5.1. which is related to handling of SSNM messages at SGP. I asked about N_STATE_request (not N_STATE_indication) which is supposed to be sent from SCCP-user at ASP to SCCP at SGP.
   
  I would appreciate answer to my questions with YES or NO.

"Brian F. G. Bidulock" <[email-masked]> wrote:
  Stanislav,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---------------------------------
Yahoo! Photos
 Ring in the New Year with Photo Calendars. Add photos, events, holidays, whatever.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 5 Jan 2006 09:52:38 -0700

Stanislav,

You didn't read section 3.4.

--brian

Stanislav Ivanovich wrote:                                       (Thu, 05 Jan 2006 08:45:35)
> 
>    Brian,
> 
> 
> 
>    You  didn't  understand my question. You refer to section 4.5.1. which
>    is  related  to  handling  of  SSNM  messages  at  SGP.  I asked about
>    N_STATE_request  (not N_STATE_indication) which is supposed to be sent
>    from SCCP-user at ASP to SCCP at SGP.
> 
> 
> 
>      > 1.
>      http://pa.yahoo.com/*http://us.rd.yahoo.com/evt=37474/*http://promo
>      .yahoo.com/broadband/
>    Ring  in  the  New  Year  with [1]Photo Calendars. Add photos, events,
>    holidays, whatever.
> 
> References
> 
>    1. http://us.rd.yahoo.com/mail_us/taglines/photos/*http://pg.photos.yahoo.com/ph//page?.file=calendar_splash.html&.dir=

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Tolga Asveren" <[email-masked]>
Date: Thu, 5 Jan 2006 11:34:07 -0500

Stanislav,

The answer to your question is "No". The behavior you are mentioning is
controlled with ASPAC/ASPIA, i.e. with AS state.

   Thanks,
   Tolga

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Stanislav Ivanovich
Sent: Thursday, January 05, 2006 11:46 AM
To: SIGTRAN
Subject: Re: [Sigtran] Transfer of N-STATE_request in SUA

Brian,

You didn't understand my question. You refer to section 4.5.1. which is
related to handling of SSNM messages at SGP. I asked about N_STATE_request
(not N_STATE_indication) which is supposed to be sent from SCCP-user at ASP
to SCCP at SGP.

--brian

> regards/ Stanislav Ivanovich
http://pa.yahoo.com/*http://us.rd.yahoo.com/evt=37474/*http://promo.yahoo.co
m/broadband/

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Yahoo! Photos
Ring in the New Year with Photo Calendars. Add photos, events, holidays,
whatever.

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 5 Jan 2006 09:14:14 -0800 (PST)

Tolga, Brian,
   
  Brian I read all the sections in the SUA and the reason why I am asking this question is that Tolga's answer below is the only way how a user is supposed to generate N-STATE_request for a particular SCCP subsystem.
   
  However I consider this fault in SUA specification for the following reasons:
   
  1) there are no conceptual problems of having DUNA message containing N_STATE-request sent from ASP to SGP within a particular AS for the same reason why it is not problem of having N-STATE_request sent from SCCP-user to SCCP.
   
  2) Using ASP TM messages for this management is very problematic since it actually says that it is not possible to independently manage several SCCP subsystems that are part of the same AS. It forces implementors to support multiple AS'es per signaling process just to have separate SCCP subsystems separately manageable!
   
  If you think otherwise why do you forbid sending DUNA from ASP to SGP which is to carry N-STATE_request fro independent SCCP subsystems that are part of the same AS? What is the problem of having this?

Tolga Asveren <[email-masked]> wrote:
  Stanislav,

Thanks,
Tolga

-----Original Message-----

Brian,

"Brian F. G. Bidulock" wrote:
Stanislav,

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Yahoo! Photos

---

From: "Tolga Asveren" <[email-masked]>
Date: Thu, 5 Jan 2006 12:49:12 -0500

Stanislav,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Stanislav Ivanovich
Sent: Thursday, January 05, 2006 12:14 PM
To: SIGTRAN
Subject: RE: [Sigtran] Transfer of N-STATE_request in SUA

Tolga, Brian,

Brian I read all the sections in the SUA and the reason why I am asking this
question is that Tolga's answer below is the only way how a user is supposed
to generate N-STATE_request for a particular SCCP subsystem.

However I consider this fault in SUA specification for the following
reasons:

1) there are no conceptual problems of having DUNA message containing
N_STATE-request sent from ASP to SGP within a particular AS for the same
reason why it is not problem of having N-STATE_request sent from SCCP-user
to SCCP.

2) Using ASP TM messages for this management is very problematic since it
actually says that it is not possible to independently manage several SCCP
subsystems that are part of the same AS. It forces implementors to support
multiple AS'es per signaling process just to have separate SCCP subsystems
separately manageable!!
[TOLGA]OTOH, one could argue that AS is an entity which becomes
available/unavailable as a whole, i.e. if it has multiple subsystems, they
should be in-service/out-of-service simultaneously. So, what you consider as
problematic is IMO a direct consequence of the AS concept.

If you think otherwise why do you forbid sending DUNA from ASP to SGP which
is to carry N-STATE_request fro independent SCCP subsystems that are part of
the same AS? What is the problem of having this?

Thanks,
Tolga

-----Original Message-----

Brian,

You didn't understand my question.! You refer to section 4.5.1. which is
related to handling of SSNM messages at SGP. I asked about N_STATE_request
(not N_STATE_indication) which is supposed to be sent from SCCP-user at ASP
to SCCP at SGP.

--brian

> having DUNA corresponding to N-STA! TE primitive)?
>
>
>

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Yahoo! Photos

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 5 Jan 2006 10:32:21 -0800 (PST)

Tolga,
   
  I disagree that not having possibility of managing separate SCCP subsystems is a consequence of the AS concept. In other words I do not see any conceptual problems with this -> I have one AS which is a set of several independent SCCP subsystems. I want to have possibility to operate the AS as a whole but I do not want to loos control over SCCP subsystems within the AS separately.
   
  Another problem is that this leads to necessity of having multiple AS'es on the other side in SE model which is mandatory and even more affecting traffic sate of remote applications!
   
  What if I have a remote process which does not support optional DE neither it supports multiple AS'es. However locally I have an AS with several SCCP subsystems within it. If I want to manage them separately I need support for either optional DE at remote side or support for multiple AS'es per remote process in SE (since ASP TM messages in SE affect two AS'es on each side).
   
  I think we should update SUA and allow DUNA for N-STATE_request to be sent from ASP to SGP. This does not require any conceptual change but removal of this "administrative" (i.e. not conceptual) restriction.
   
  Are you saying that there are conceptual problems for this?
   
  thanks/ stanislav

-----Original Message-----

Tolga, Brian,

Tolga Asveren wrote:
Stanislav,

Thanks,
Tolga

-----Original Message-----

Brian,

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Yahoo! Photos

---

From: "Tolga Asveren" <[email-masked]>
Date: Thu, 5 Jan 2006 13:31:32 -0500

Stanislav,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Stanislav Ivanovich
Sent: Thursday, January 05, 2006 1:32 PM
To: SIGTRAN
Subject: RE: [Sigtran] Transfer of N-STATE_request in SUA

Tolga,

I disagree that not having possibility of managing separate SCCP subsystems
is a consequence of the AS concept. In other words I do not see any
conceptual problems with this -> I have one AS which is a set of several
independent SCCP subsystems. I want to have possibility to operate the AS as
a whole but I do not want to loos control over SCCP subsystems within the AS
separately.
[TOLGA]Although it has a wider meaning in the node, the concept of AS
corresponds to a traffic range from SUA stack point of view. It makes sense
to me that a traffic range is active/inactive, in-service/out-of-service as
a whole. Afterall, if one wants finer granularity control of that range, one
would define traffic ranges accordingly.

Another problem is that this leads to necessity of having multiple AS'es on
the other side in SE model which is mandatory and even more affecting
traffic sate of remote applications!

What if I have a remote process which does not support optional DE neither
it supports multiple AS'es. However locally I have an AS with several SCCP
subsystems within it. If I want to manage them separately I need support for
either optional DE at remote side or support for multiple AS'es per remote!
process in SE (since ASP TM messages in SE affect two AS'es on each side).
[TOLGA]I personally do not see a problem with multiple SSNs in a SE-IPSP
scenario -or I misunderstood the scenario you had in mind-. What probably
needs to be done is to group corresponding SSNs in separate RKs.

I think we should update SUA and allow DUNA for N-STATE_request to be sent
from ASP to SGP. This does not require any conceptual change but removal of
this "administrative" (i.e. not conceptual) restriction.

Are you saying that there are conceptual problems for this?
[TOLGA]What I am saying is that this sounds against the spirit of AS to me.
You define traffic ranges, i.e. an atomic entity from SUA control procedures
point of view, but want to have a finer granularity control on the same
entity.

thanks/ stanislav

-----Original Message-----

Tolga, Brian,

available/unavailable as a whole, i.e. if it ! has multiple subsystems, they

Tolga Asveren wrote:
Stanislav,

Thanks,
Tolga

-----Original Message-----

Brian,

You didn't understand my question.! You refer to section! 4.5.1. which is
related to handling of SSNM messages at SGP. I asked about N_STATE_request
(not N_STATE_indication) which is supposed to be sent from SCCP-user at ASP
to SCCP at SGP.

--brian

> having DUNA corresponding to N-STA! TE primitive)?
&g! t; regards/ Stanislav Ivanovich

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Yahoo! Photos

Yahoo! Photos

---

From: Ilie Glib <[email-masked]>
Date: Thu, 5 Jan 2006 19:54:35 +0100

Hello Folks,

you can look at the problem from another perspective.

Section 3.4.1.  Destination Unavailable (DUNA)
says: The DUNA message is sent from the SG or relay node...

According to SUA RFC an ASP can be equiped with relay function, that
is it can be a relay node. So in principle DUNA message as such can be
sent from an ASP. Unfortunately, as far as I can remember, SSP
messagees cannot be relayed in SCCP. Thus DUNA message sent from a
relay node cannot represent N-STATE_request primitive, though it can
carry an N-PCSTATE primitive.

Regards

Ilie

On 1/5/06, Stanislav Ivanovich <[email-masked]> wrote:
> ________________________________
> Yahoo! Photos

--
Ilie

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 5 Jan 2006 11:14:17 -0800 (PST)

Ilie, Tolga,
   
  I would be very happy to hear what Tolga and other will say about SUA relay in ASP (or IPSP)... but nevertheless good point...
   
  However it is irrelevant if SSP is relayed or not (actually in SCCP it is broadcasted upon reception of SSP from the originating SCCP where the subsystem is located).
   
  What is relevant is that:
   
  1) SCCP-user can request N-STATE-Request, therefore ASP should be able to do it by means of DUNA.
   
  2) If we do it through ASP TM then it implies either necessity for support of DE at remote side or support for multiple AS'es at remote side in SE. In my view this is unacceptable!
   
  I vote for removal of administrative and certainly not conceptual restriction in SUA to send DUNA with N-STATE_request primitive from ASP to SGP since current pointless restrictions puts extra requirements on remote processes. If one does not want it he/she does not need to use it... but allowing it cannot harm, can it?
   
  Any opinions from other people?
   
  /stanislav

Ilie Glib <[email-masked]> wrote:
  Hello Folks,

Regards

Ilie

--
Ilie

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 5 Jan 2006 11:37:04 -0800 (PST)

Oooops! I made serious mistake.
   
  I agree with Tolga since managing of separate SCCP subsystems by means of separate AS'es actually does not put any requirements on the remote processes in the IP networks since they are accessed by means of IPSP-IPSP protocol rather than ASP-SGP one. In both protocols (ASP-SGP and IPSP-IPSP) N-STATE_request is to be managed by ASP TM messages.
   
  thanks and regards/ Stanislav

Stanislav Ivanovich <[email-masked]> wrote:
    Ilie, Tolga,

   

   
  I vote for removal of administrative and certainly not conceptual restriction in SUA to send DUNA with N-STATE_request primitive from ASP to SGP since current pointless restric! tions puts extra requirements on remote processes. If one does not want it he/she does not need to use it... but allowing it cannot harm, can it?

  /stanislav

relay node cannot represent N-STATE_request prim! itive, though it can

Regards

Ilie

On 1/5/06, Stanislav Ivanovich wrote:
> it supports multiple AS'es. However locally I have an AS with s! everal SCCP
> Subject: RE: [Sigtran] Transfer of N-STATE_req! uest in SUA
>
>
> Tolga, Brian,
>
> ! > In standard SCCP there is a primitive called N-STATE_request which
>! ; > [email-masked]
> Ring in the New Year with Photo Calendars. Add! photos, events, holidays,
> whatever.
>
>

--
Ilie

---------------------------------
  Yahoo! DSL Something to write home about. Just $16.99/mo. or less_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran